Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2014-1725

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2014-1725
Last Modified 23 May 2014 12:07:00
Published 09 Apr 2014 06:57:56
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2014-1725

Summary

The base64DecodeInternal function in wtf/text/Base64.cpp in Blink, as used in Google Chrome before 34.0.1847.116, does not properly handle string data composed exclusively of whitespace characters, which allows remote attackers to cause a denial of service (out-of-bounds read) via a window.atob method call.

Vulnerable Systems

Application

  • Google Chrome 34.0.1847.115


References

CONFIRM - https://src.chromium.org/viewvc/blink?revision=170264&view=revision

CONFIRM - https://code.google.com/p/chromium/issues/detail?id=357332

CONFIRM - http://googlechromereleases.blogspot.com/2014/04/stable-channel-update.html

DEBIAN - DSA-2905

SUSE - openSUSE-SU-2014:0601

Related Patches

Google Chrome 34.0.1847.116 for Windows (Update) (All Languages) (See Notes)


Last Updated: 27 May 2016 11:05:20